plotly_POST {plotly} | R Documentation

## Create/Modify plotly graphs

### Description

Deprecated: see `api_create()`.

### Usage

    plotly_POST(x = last_plot(), filename = NULL, fileopt = "overwrite",
      sharing = c("public", "private", "secret"), ...)

### Arguments

`x` | either a ggplot object, a plotly object, or a list.
`filename` | character string describing the name of the plot in your plotly account. Use / to specify directories. If a directory path does not exist it will be created. If this argument is not specified and the title of the plot exists, that will be used for the filename.
`fileopt` | character string describing whether to create a "new" plotly, "overwrite" an existing plotly, "append" data to existing plotly, or "extend" it.

`sharing`

If 'public', anyone can view this graph. It will appear in your profile and can appear in search engines. You do not need to be logged in to Plotly to view this chart. If 'private', only you can view this plot. It will not appear in the Plotly feed, your profile, or search engines. You must be logged in to Plotly to view this graph. You can privately share this graph with other Plotly users in your online Plotly account and they will need to be logged in to view this plot. If 'secret', anyone with this secret link can view this chart. It will not appear in the Plotly feed, your profile, or search engines. If it is embedded inside a webpage or an IPython notebook, anybody who is viewing that page will be able to view the graph. You do not need to be logged in to view this plot.

`...` | not used

### See Also

`plot_ly()`, `signup()`

[Package plotly version 4.9.0 Index]